package W3C.PICS;
import java.awt.*;
/**
 * The Header Panel in SingleLabelDialog
 */
public class LabelHeaderPanel extends Panel {

    public LabelHeaderPanel() {

        super();

        //addNotify() should not be called
      //  resize(insets().left + insets().right + 477, insets().top + insets().bottom + 60);

        //{{INIT_CONTROLS
        setLayout(null);
//        addNotify();
        resize(insets().left + insets().right + 477, insets().top + insets().bottom + 60);
        label1=new Label("For", Label.RIGHT);
        add(label1);
        label1.reshape(insets().left + 18,insets().top + 16,63,16);
        label2=new Label("By", Label.RIGHT);
        add(label2);
        label2.reshape(insets().left + 18,insets().top + 44,63,16);
        check1=new Checkbox("Generic");
        add(check1);
        check1.reshape(insets().left + 369,insets().top + 16,81,16);
        ForField=new TextField(25);
        add(ForField);
        ForField.reshape(insets().left + 95,insets().top + 12,256,24);
        ByField=new TextField(25);
        add(ByField);
        ByField.reshape(insets().left + 95,insets().top + 40,256,24);
        //}}
    }

    public boolean handleEvent(Event event) {
        return super.handleEvent(event);
    }

    public String getFor()
    {
        return ForField.getText();
    }


    public String getBy()
    {
        return ForField.getText();
    }

    public boolean getGeneric()
    {
        return check1.getState();
    }

    //{{DECLARE_CONTROLS
    Label label1;
    Label label2;
    Checkbox check1;
    TextField ForField;
    TextField ByField;
    //}}
}


